IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_SCHEDULEPLAN')
 CREATE TABLE T_MPS_SCHEDULEPLAN (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FMATERIEL BIGINT DEFAULT 0 NOT NULL,
	FCONFIGUREDCODE BIGINT DEFAULT 0 NOT NULL,
    FORDERPOOLID BIGINT DEFAULT 0 NOT NULL,
    FBAILEDORG BIGINT DEFAULT 0 NOT NULL,
	FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL,
	FWORKCENTRE BIGINT DEFAULT 0 NOT NULL,
	FSHEDULEDATE DATETIME,
    FSOURCEENTRYSEQ INT DEFAULT 0 NOT NULL,
    FSOURCEBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
    FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL,
    FBUSSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FAUXILIARY BIGINT DEFAULT 0 NOT NULL,
    FDEMANDDATE DATETIME,
    FTOTALWORKCENTER BIGINT DEFAULT 0 NOT NULL,
    FCANCEL CHAR(1) DEFAULT '0' NOT NULL,
    FDATASOURCEID BIGINT DEFAULT 0 NOT NULL,
    FDOWNSTREAMID BIGINT DEFAULT 0 NOT NULL,
    FDOWNSTREAMENTRYID BIGINT DEFAULT 0 NOT NULL,
    FPRODUCTIONID BIGINT DEFAULT 0 NOT NULL,
    FCANCELPERSON BIGINT DEFAULT 0 NOT NULL,
    FCANCELTIME DATETIME,
    FCANCELREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
    FEIGENVALUE VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FEIGENVALUE_TAG NCLOB DEFAULT ' ',
    FCHANGESEQ VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FGROUP BIGINT DEFAULT 0 NOT NULL,
    FDOWNSTREAMNO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FDOWNSTREAMSEQ INT DEFAULT 0 NOT NULL,
    FSCHEDULEPLAN BIGINT DEFAULT 0 NOT NULL,
    FPLSOPERATIONNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FGROUPID BIGINT DEFAULT 0 NOT NULL,
    FSCHEDULEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPUTINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FUNIT BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEENTRYNO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FREMARK VARCHAR(300) DEFAULT ' ' NOT NULL,
	FEXCEPTION VARCHAR(300) DEFAULT ' ' NOT NULL,
	FLOCK CHAR(1) DEFAULT '0' NOT NULL,
	FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSCHEDULER BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_SCHPLANENTRY')
 CREATE TABLE T_MPS_SCHPLANENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
	FMODIFYDATEFIELD DATETIME,
    FSEQUENCE INT DEFAULT 0 NOT NULL,
    FONTIME DATETIME,
    FINSTOCKTIME DATETIME,
    FSPECIALREMARK VARCHAR(1900) NOT NULL DEFAULT ' ' NOT NULL,
    FMANUFACTURENUM VARCHAR(50) NOT NULL DEFAULT ' ' NOT NULL,
    FSERIALNO VARCHAR(50) NOT NULL DEFAULT ' ' NOT NULL
);